# ACE_Dummy_Node Class Reference

I forget why this is here... ;-). More...

`#include <Parse_Node.h>`

Inheritance diagram for ACE_Dummy_Node:

[legend]
Collaboration diagram for ACE_Dummy_Node:

[legend]
List of all members.

## Public Member Functions

| ACE_Dummy_Node (const ACE_Static_Node *, const ACE_Parse_Node *)
| ~ACE_Dummy_Node (void)
virtual void | apply (int &yyerrno)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

const ACE_Static_Node * | node_
| Linked list of modules that we're dealing with.
const ACE_Parse_Node * | mods_

## Detailed Description

I forget why this is here... ;-).

Note:
  This class is only meant for INTERNAL use by ACE.

## Constructor & Destructor Documentation

ACE_Dummy_Node::ACE_Dummy_Node | ( | const ACE_Static_Node * | ,
|  | const ACE_Parse_Node * |
| ) |

ACE_Dummy_Node::~ACE_Dummy_Node | ( | void |  | ) |

## Member Function Documentation

void ACE_Dummy_Node::apply | ( | int & | yyerrno | ) | `[virtual]`

| Implements ACE_Parse_Node.

void ACE_Dummy_Node::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Parse_Node.

## Member Data Documentation

ACE_Dummy_Node::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Parse_Node.

const ACE_Parse_Node* ACE_Dummy_Node::mods_`[private]`

const ACE_Static_Node* ACE_Dummy_Node::node_`[private]`

| Linked list of modules that we're dealing with.

The documentation for this class was generated from the following files:

- Parse_Node.h
- Parse_Node.cpp